Freeciv-3.2: player_ai Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
player_ai Struct Reference

`#include <player.h>`

## Data Fields

int | maxbuycost
void * | handicaps
enum ai_level | skill_level
int | fuzzy
int | expand
int | science_cost
int | warmth
int | frost
enum barbarian_type | barbarian_type
int | love [MAX_NUM_PLAYER_SLOTS]
struct ai_trait * | traits

## Detailed Description

Definition at line 111 of file player.h.

## Field Documentation

## ◆ barbarian_type

enum barbarian_type player_ai::barbarian_type

Definition at line 120 of file player.h.

Referenced by create_animals(), handle_edit_player(), handle_player_info(), is_barbarian(), is_land_barbarian(), is_sea_barbarian(), package_player_common(), player_defaults(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ expand

int player_ai::expand

Definition at line 116 of file player.h.

Referenced by domestic_advisor_choose_build(), player_defaults(), set_ai_level_directer(), sg_load_player_main(), and sg_load_player_main().

## ◆ frost

int player_ai::frost

Definition at line 119 of file player.h.

Referenced by auto_settlers_player(), settler_evaluate_improvements(), and split_player().

## ◆ fuzzy

int player_ai::fuzzy

Definition at line 115 of file player.h.

Referenced by ai_fuzzy(), player_defaults(), set_ai_level_directer(), sg_load_player_main(), and sg_load_player_main().

## ◆ handicaps

void* player_ai::handicaps

Definition at line 113 of file player.h.

Referenced by handicaps_close(), handicaps_init(), handicaps_set(), and has_handicap().

## ◆ love

int player_ai::love[MAX_NUM_PLAYER_SLOTS]

Definition at line 122 of file player.h.

Referenced by adv_is_player_dangerous(), col_love(), dai_diplomacy_actions(), dai_diplomacy_begin_new_phase(), dai_diplomacy_first_contact(), dai_go_to_war(), dai_goldequiv_clause(), dai_incident_nuclear(), dai_incident_nuclear_not_target(), dai_incident_nuclear_self(), dai_incident_simple(), dai_treaty_accepted(), dai_war_desire(), handle_player_info(), package_player_common(), player_defaults(), real_diplo_log(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ maxbuycost

int player_ai::maxbuycost

Definition at line 112 of file player.h.

Referenced by dai_gold_reserve(), dai_manage_cities(), dai_spend_gold(), increase_maxbuycost(), and split_player().

## ◆ science_cost

int player_ai::science_cost

Definition at line 117 of file player.h.

Referenced by handle_player_info(), package_player_common(), set_ai_level_directer(), sg_load_player_main(), and sg_load_player_main().

## ◆ skill_level

enum ai_level player_ai::skill_level

Definition at line 114 of file player.h.

Referenced by aifill(), dai_gained_control(), handle_player_info(), package_player_common(), player_defaults(), player_set_to_ai_mode(), player_set_under_human_control(), set_ai_level_directer(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), and toggle_ai_player_direct().

## ◆ traits

struct ai_trait* player_ai::traits

Definition at line 124 of file player.h.

Referenced by ai_trait_get_value(), ai_traits_close(), ai_traits_init(), api_edit_trait_mod_set(), api_methods_player_trait_base(), api_methods_player_trait_current_mod(), player_defaults(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ warmth

int player_ai::warmth

Definition at line 119 of file player.h.

Referenced by auto_settlers_player(), settler_evaluate_improvements(), and split_player().